<!---
// Javascript code for moving Divs
// -------------------------------
var dragy,dragx=false;
var display_mode = 0;
var screenx, screeny;

var x = 170;
var y = 250;

var minx = 120, maxx = 200;
var miny = 230, maxy = 250;

var offset = 0;

function resize_screen()
{
	document.body.style.overflow='hidden';

	screenx = document.body.clientWidth-2;
	screeny = document.body.clientHeight-4;
	maxy = screeny-100;
	maxx = screenx-200;

        set_x_bar();
	set_y_bar();
}

function mouse_down(mx)
{
	document.getElementById("hiddendiv").style.display="";
	if (mx=="x") {
		dragx=true;
		document.getElementById("hiddendiv").style.cursor="w-resize";
	}
	else	{
		dragy=true;
		document.getElementById("hiddendiv").style.cursor="s-resize";
	}
}

function mouse_up()
{
	dragx=dragy=false;
	document.getElementById("hiddendiv").style.display="none";
}

function mouse_move(e)
{
	if (dragx) {
		if (!e) Pos = window.event.clientX;
		else 	Pos = e.pageX;

		if (Pos < minx)	Pos = minx;
		if (Pos > maxx) Pos = maxx;

		x= Pos-2;
		set_x_bar();
		set_y_bar();
	}
	else if (dragy) {
		if (!e) Pos = window.event.clientY;
		else 	Pos = e.pageY;

		if (Pos < miny) Pos = miny;
	        if (Pos > maxy)	Pos = maxy;

		y = Pos-2;
		set_y_bar();
	}
}

function set_x_bar()
{
	document.getElementById("hiddendiv").style.width = (screenx-offset) +"px";

	dx = screenx-offset-6

	document.getElementById("ldap_entry_menu").style.left = "3px";
	document.getElementById("ldap_entry_contact").style.left = "3px";
	document.getElementById("ldap_entry_address").style.left = "3px";
	document.getElementById("ldap_entry_other").style.left = "3px";
	document.getElementById("ldap_entry_select").style.left = "3px";

	document.getElementById("ldap_entry_menu").style.width = dx +"px";
	document.getElementById("ldap_entry_contact").style.width = dx +"px";
	document.getElementById("ldap_entry_address").style.width = dx +"px";
	document.getElementById("ldap_entry_other").style.width = dx +"px";
	document.getElementById("ldap_entry_select").style.width = dx +"px";
}

function set_y_bar()
{
	document.getElementById("hiddendiv").style.height = (screeny-offset) +"px";
	
	document.getElementById("ldap_entry_contact").style.height = (screeny-offset-21-25-6) + "px";
	document.getElementById("ldap_entry_address").style.height = (screeny-offset-21-25-6) + "px";
	document.getElementById("ldap_entry_other").style.height = (screeny-offset-21-25-6) + "px";

	document.getElementById("ldap_entry_select").style.top = (screeny-offset-18) + "px";
}

// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------

// Change Screen to display in selected mode:
// 0 - Standard Display - Contacts
// 1 - Standard Display - Address
// 2 - Standard Display - other


function set_display_mode(mode)
{
	if (display_mode == mode)
		return ;

	display_mode = mode;

	if (display_mode == 0) {
		document.getElementById("ldap_entry_contact").style.visibility = 'visible';
		document.getElementById("ldap_entry_address").style.visibility = 'hidden';
		document.getElementById("ldap_entry_other").style.visibility = 'hidden';
	}
	else if (display_mode == 1) {
		document.getElementById("ldap_entry_contact").style.visibility = 'hidden';
		document.getElementById("ldap_entry_address").style.visibility = 'visible';
		document.getElementById("ldap_entry_other").style.visibility = 'hidden';
	}
	else if (display_mode == 2) {
		document.getElementById("ldap_entry_contact").style.visibility = 'hidden';
		document.getElementById("ldap_entry_address").style.visibility = 'hidden';
		document.getElementById("ldap_entry_other").style.visibility = 'visible';
	}

	set_x_bar();
	set_y_bar();
}

// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------

// -->

